<?php
/**
* J51_News
* Version		: 1.0
* Created by	: Joomla51
* Email			: info@joomla51.com
* URL			: www.joomla51.com
* License GPLv2.0 - http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');
$list 			= ModJ51NewsHelper::getList($params);
$baseurl 		= JURI::base();
$countcol 		= $params->get('countcol', 2);
$show_img 		= $params->get('show_img', 1);
$show_date 		= $params->get('show_date', 1);
$show_title 	= $params->get('show_title', 1);
$title_tag 	    = $params->get('title_tag', 'h3');
$show_text 		= $params->get('show_text', 1);
$text_tag 	    = $params->get('text_tag', 'p');
$show_button 	= $params->get('show_button', 1);
$length_text 	= $params->get('length_text', 300);
$date_format 	= $params->get('date_format','d.m.Y');
$columns 		= $params->get('columns', 100);
$masonry 		= $params->get('masonry', 0);
$item_margin_x 	= $params->get('item_margin_x', 10);
$item_margin_y 	= $params->get('item_margin_y', 10);
$item_button 	= $params->get('item_button');
$columns_tabl	= $params->get( 'columns_tabl', 3);
$columns_tabp	= $params->get( 'columns_tabp', 2);
$columns_mobl	= $params->get( 'columns_mobl', 1);
$columns_mobp	= $params->get( 'columns_mobp', 1);
$image_width	= $params->get( 'image_width', '50%');
$max_width		= $params->get( 'max_width');
$overlay_type 	= $params->get( 'overlay_type', 'overlay-fade-out');
$j51_news_layout = $params->get( 'j51_news_layout', 'col-i-c');
$j51_moduleid 	= $module->id;

// Load CSS/JS
$document = JFactory::getDocument();
$document->addStyleSheet (JURI::base() . 'modules/mod_j51news/css/style.css' );

// Masonry
if($masonry)  {
	JHtml::_('script', 'https://unpkg.com/masonry-layout@4/dist/masonry.pkgd.min.js', array('version' => 'auto', 'relative' => true), array('defer' => true, 'async' => false));
	$document->addScriptDeclaration('
		jQuery(window).load(function(){
			jQuery(".j51news'.$j51_moduleid.' .j51news_inside").masonry({
			 	itemSelector: ".newsitem"
			});
		});
	');
}

// Styling from module parameters
$document->addStyleDeclaration('
.j51news'.$j51_moduleid.' .j51news_inside {
	margin: 0 -'.($item_margin_x / 2).'px;
}
.j51news'.$j51_moduleid.' .newsitem {
	width:'.$columns.'%;
	padding-top: '.($item_margin_y / 2).'px;
	padding-bottom: '.($item_margin_y / 2).'px;
	padding-left: '.($item_margin_x / 2).'px;
	padding-right: '.($item_margin_x / 2).'px;
}

.j51news'.$j51_moduleid.'.j51_news_layout_row-i-c .newsimg,
.j51news'.$j51_moduleid.'.j51_news_layout_row-c-i .newsimg {
	flex-basis: '.$image_width.'%;
}

@media only screen and (min-width: 960px) and (max-width: 1280px) {
.j51news'.$j51_moduleid.' .newsitem {width:'.$columns_tabl.'%;}
}
@media only screen and (min-width: 768px) and (max-width: 959px) {
.j51news'.$j51_moduleid.' .newsitem {width:'.$columns_tabp.'%;}
}
@media only screen and ( max-width: 767px ) {
.j51news'.$j51_moduleid.' .newsitem {width:'.$columns_mobl.'%;}
}
@media only screen and (max-width: 440px) {
.j51news'.$j51_moduleid.' .newsitem {width:'.$columns_mobp.'%;}
}
');

if($show_button && !$show_title && !$show_date && !$show_text)  {
 $document->addStyleDeclaration('
 	.j51news'.$j51_moduleid.' figcaption {
 		padding-top: 0;
 	}
');
}

?>

<div class="j51news j51news<?php echo $j51_moduleid; ?> j51_news_layout_<?php echo $j51_news_layout; ?><?php if ($j51_news_layout === 'overlay') {echo ' j51_news_overlay_'.$overlay_type;} ?>" <?php  if ($max_width != '') { ?>style="max-width: <?php echo $max_width ?>px;" <?php } ?>>
	
	<div class="j51news_inside">
		<?php $i=1; foreach ($list as $item) :  ?><div class="newsitem ter-<?php  echo $i; ?> <?php if ($item->featured) { ?>featured<?php } ?>" itemscope itemtype="http://schema.org/Article">
			<figure>
				<?php $images = json_decode($item->images); ?>
				<?php  if (($show_img == 1) && !empty($images->image_intro)) : ?>	
				<div class="newsimg">
					<a href="<?php echo $item->link; ?>" aria-label="<?php echo $item->title; ?>">
						<div class="hover-overlay"></div>
						<div class="link-icon-outer">
							<div class="link-icon">
								<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M326.612 185.391c59.747 59.809 58.927 155.698.36 214.59-.11.12-.24.25-.36.37l-67.2 67.2c-59.27 59.27-155.699 59.262-214.96 0-59.27-59.26-59.27-155.7 0-214.96l37.106-37.106c9.84-9.84 26.786-3.3 27.294 10.606.648 17.722 3.826 35.527 9.69 52.721 1.986 5.822.567 12.262-3.783 16.612l-13.087 13.087c-28.026 28.026-28.905 73.66-1.155 101.96 28.024 28.579 74.086 28.749 102.325.51l67.2-67.19c28.191-28.191 28.073-73.757 0-101.83-3.701-3.694-7.429-6.564-10.341-8.569a16.037 16.037 0 0 1-6.947-12.606c-.396-10.567 3.348-21.456 11.698-29.806l21.054-21.055c5.521-5.521 14.182-6.199 20.584-1.731a152.482 152.482 0 0 1 20.522 17.197zM467.547 44.449c-59.261-59.262-155.69-59.27-214.96 0l-67.2 67.2c-.12.12-.25.25-.36.37-58.566 58.892-59.387 154.781.36 214.59a152.454 152.454 0 0 0 20.521 17.196c6.402 4.468 15.064 3.789 20.584-1.731l21.054-21.055c8.35-8.35 12.094-19.239 11.698-29.806a16.037 16.037 0 0 0-6.947-12.606c-2.912-2.005-6.64-4.875-10.341-8.569-28.073-28.073-28.191-73.639 0-101.83l67.2-67.19c28.239-28.239 74.3-28.069 102.325.51 27.75 28.3 26.872 73.934-1.155 101.96l-13.087 13.087c-4.35 4.35-5.769 10.79-3.783 16.612 5.864 17.194 9.042 34.999 9.69 52.721.509 13.906 17.454 20.446 27.294 10.606l37.106-37.106c59.271-59.259 59.271-155.699.001-214.959z"/></svg>
							</div>
						</div>
						<img src="<?php echo htmlspecialchars($images->image_intro); ?>" alt="<?php echo htmlspecialchars($images->image_intro_alt); ?>" />
					</a>
				</div>
				<?php endif; ?>
				<?php if ($show_title || $show_text || $show_button)  : ?>
					<figcaption>
						<?php  if ($show_title) : ?>
						<<?php echo $title_tag; ?> itemprop="name" class="newstitle">
							<?php echo $item->title; ?>
						</<?php echo $title_tag; ?>>
						<?php  endif; ?>
						<?php  if ($show_date) : ?>
							<div class="newsdate"><?php echo JHTML::_('date', $item->displayDate, $date_format) ?></div>
						<?php endif; ?>
						<?php if ($show_text) : ?>
						<<?php echo $text_tag; ?> class="newstext"><?php
						$introb = strip_tags($item->introtext);
						$intro = JHtml::_('string.truncate', $introb, $length_text);
						echo $intro; ?></<?php echo $text_tag; ?>>
						<?php endif; ?>
						<?php  if ($show_button) { ?>
							<a class="btn j51news-btn" href="<?php echo $item->link; ?>" itemprop="url"><?php echo $item_button; ?></a>
						<?php } ?>
					</figcaption>
				<?php endif; ?>
				<?php  if (!($show_button)) { ?>
					<a class="newslink" href="<?php echo $item->link; ?>" itemprop="url" aria-label="<?php echo $item->title; ?>"></a>
				<?php } ?>
			</figure>
		</div><?php $i++; endforeach; ?>
	</div>
</div>
