<?php
/**
* J51_Numbers
* Created by	: Joomla51
* Email			: info@joomla51.com
* URL			: www.joomla51.com
* License GPLv2.0 - http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$baseurl 					   = JURI::base();
$document                      = JFactory::getDocument();
$j51_items    				   = $params->get( 'j51_items' );
$j51_margin_x		   		   = $params->get( 'j51_margin_x' );
$j51_margin_y		   		   = $params->get( 'j51_margin_y' );
$j51_color			   		   = $params->get( 'j51_color' );
$j51_bg_color		   		   = $params->get( 'j51_bg_color' );
$j51_size			   		   = $params->get( 'j51_size' );
$j51_layout			   		   = $params->get( 'j51_layout' );
$j51_align			   		   = $params->get( 'j51_align' );
$j51_columns		   		   = $params->get( 'j51_columns' );
$j51_title_tag		   		   = $params->get( 'j51_title_tag', 'h3');
$j51_override_style	   		   = $params->get( 'j51_override_style', 0 );
$j51_number_color	   		   = $params->get( 'j51_number_color', '' );
$j51_title_color	   		   = $params->get( 'j51_title_color', '' );
$j51_caption_color	   		   = $params->get( 'j51_caption_color', '' );
$j51_animation_length  		   = $params->get( 'j51_animation_length', 2000 );
$j51_interval_length   		   = $params->get( 'j51_interval_length' );
$j51_moduleid       		   = $module->id;
$id                            = 1;
$delay 						   = 0;
$dataArray                     = array();

JHtml::_('behavior.core');
JHtml::_('stylesheet', 'mod_j51numbers/style.css', array('relative' => true, 'version' => 'auto'));
JHtml::_('script', 'mod_j51numbers/script.js', array('relative' => true, 'version' => 'auto'));

// The order of the CDN files doesn't really matter as we await for them to be loaded...
$document->addScript('https://cdnjs.cloudflare.com/ajax/libs/waypoints/4.0.1/noframework.waypoints.min.js"', 'text/javascript', true, true);
$document->addScript('https://cdnjs.cloudflare.com/ajax/libs/countup.js/1.7.1/countUp.min.js"', 'text/javascript', true, false);

$document->addStyleDeclaration('
.j51_numbers'.$j51_moduleid.' .j51_numbers_item {
	flex: 0 0 '.$j51_columns.';
	max-width: '.$j51_columns.';
	padding: '.($j51_margin_y / 2).'px '.($j51_margin_x / 2).'px;
}
');
if ($module->showtitle) {
	$document->addStyleDeclaration('
		.j51_numbers'.$j51_moduleid.' {
			margin: 0 -'.($j51_margin_x / 2).'px;
		}
	');
} else {
	$document->addStyleDeclaration('
		.j51_numbers'.$j51_moduleid.' {
			margin: -'.($j51_margin_y / 2).'px -'.($j51_margin_x / 2).'px;
		}
	');
}
if (!empty($j51_number_color)) {
	$document->addStyleDeclaration('
		.j51_numbers'.$j51_moduleid.' .j51_numbers_number {
			color: '.$j51_number_color.';
		}
	');
}
if (!empty($j51_title_color)) {
	$document->addStyleDeclaration('
		.j51_numbers'.$j51_moduleid.' .j51_number_title {
			color: '.$j51_title_color.';
		}
	');
}
if (!empty($j51_caption_color)) {
	$document->addStyleDeclaration('
		.j51_numbers'.$j51_moduleid.' .j51_number_caption {
			color: '.$j51_caption_color.';
		}
	');
}

// Pass data from PHP to JS
foreach ($j51_items as $item) {
    $dataObj = new stdClass();
    $dataObj->id = 'counter' . $j51_moduleid . 'i' . $id;
    $dataObj->number = 'number' . $j51_moduleid . 'i' . $id;
    $dataObj->counts = $item->j51_number;
    $dataObj->decimal = $item->j51_number_decimal;
    $dataObj->delay = $delay;
    $dataObj->animation_length = $j51_animation_length;
    $dataArray[] = $dataObj;

    $id++;
    $delay = $delay + $j51_interval_length;
}

if (!empty($document->getScriptOptions('j51_module_numbers'))) {
    $dataArray = array_merge($document->getScriptOptions('j51_module_numbers'), $dataArray);
}
$document->addScriptOptions('j51_module_numbers', $dataArray);

// reset the id/delay
$id = 1;
$delay = 0;
?>

<div class="j51_numbers j51_numbers<?php echo $j51_moduleid; ?>" >
<?php foreach ($j51_items as $item) : ?>
	<?php $numberid = $j51_moduleid.'i'.$id ?>
	<div id="number<?php echo $numberid ?>" class="j51_numbers_item j51_number_layout_<?php echo $j51_layout; ?> j51_numbers_align_<?php echo $j51_align; ?> animate" transition-delay="<?php echo $delay; ?>">
		<div class="j51_numbers_number text-primary">
			<?php if($item->j51_number_prefix  != "") : ?>
			<span class="j51_number_value">
				<?php echo $item->j51_number_prefix ?>
			</span>
			<?php endif; ?>
			<span id="counter<?php echo $numberid ?>" class="j51_number_value">
				<?php echo $item->j51_number; ?>
			</span>
			<?php if($item->j51_number_suffix  != "") : ?>
			<span class="j51_number_value">
				<?php echo $item->j51_number_suffix ?>
			</span>
			<?php endif; ?>
		</div>
		<div class="j51_number_text">
			<?php if($item->j51_number_title  != "") : ?>
				<<?php echo $j51_title_tag; ?> class="j51_number_title">
					<?php echo $item->j51_number_title; ?>
				</<?php echo $j51_title_tag; ?>>
			<?php endif; ?>
			<?php if($item->j51_number_caption  != "") : ?>
				<p class="j51_number_caption">
					<?php echo $item->j51_number_caption; ?>
				</p>
			<?php endif; ?>
		</div>
	</div>
	<?php $id++; ?>
	<?php $delay = $delay + $j51_interval_length; ?>
<?php endforeach ?>
</div>
