<?php
/**
* J51_Progress
* Created by	: Joomla51
* Email			: info@joomla51.com
* URL			: www.joomla51.com
* License GPLv2.0 - http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$baseurl 			    = JURI::base();
$document               = JFactory::getDocument();
$j51_items    		    = $params->get( 'j51_items' );
$j51_margin_x		    = $params->get( 'j51_margin_x' );
$j51_margin_y		    = $params->get( 'j51_margin_y' );
$j51_color			    = $params->get( 'j51_color' );
$j51_bg_color		    = $params->get( 'j51_bg_color' );
$j51_set			    = $params->get( 'j51_set' );
$j51_size			    = $params->get( 'j51_size' );
$j51_layout		    	= $params->get( 'j51_layout' );
$j51_align			    = $params->get( 'j51_align' );
$j51_bg_style			= $params->get( 'j51_bg_style', 'boxed' );
$j51_bg_color			= $params->get( 'j51_bg_color', '#fff' );
$j51_border_color	   	= $params->get( 'j51_border_color', '#fff' );
$j51_border_size	   	= $params->get( 'j51_border_size', '2' );
$j51_layout			   	= $params->get( 'j51_layout' );
$j51_columns		   	= $params->get( 'j51_columns' );
$j51_title_tag		   	= $params->get( 'j51_title_tag', 'h3' );
$j51_title_color		= $params->get( 'j51_title_color' );
$j51_value_color		= $params->get( 'j51_value_color' );
$j51_enable_animation  	= $params->get( 'j51_enable_animation', 1 );
$j51_animation_length  	= $params->get( 'j51_animation_length' );
$j51_interval_length   	= $params->get( 'j51_interval_length' );

$j51_moduleid       		= $module->id;
$delay                      = 0;

$j51_circle_size	= $j51_size * 2;

JHtml::_('behavior.core');
JHtml::_('stylesheet', 'mod_j51progress/style.css', array('relative' => true, 'version' => 'auto'));

if ($j51_enable_animation) {
	JHtml::_('script', 'mod_j51progress/script.js', array('relative' => true, 'version' => 'auto'));
}

$document->addScript('https://cdnjs.cloudflare.com/ajax/libs/waypoints/4.0.1/noframework.waypoints.min.js"', 'text/javascript', true, false);
$document->addScript('modules/mod_j51progress/js/script.js', 'text/javascript', true, false);

// Styling from module parameters
$document->addStyleDeclaration('
.j51_progress'.$j51_moduleid.' .j51_progress_item {
	flex: 0 0 '.$j51_columns.';
	max-width: '.$j51_columns.';
	padding: '.($j51_margin_y / 2).'px '.($j51_margin_x / 2).'px;
}
.j51_progress'.$j51_moduleid.' {
	margin: -'.($j51_margin_y / 2).'px -'.($j51_margin_x / 2).'px;
}
.j51_progress'.$j51_moduleid.' .j51_progress_highlight {
	transition-duration: '.$j51_animation_length.'ms;
}
');
if ($module->showtitle) {
	$document->addStyleDeclaration('
		.j51_progress'.$j51_moduleid.' {
			margin: 0 -'.($j51_margin_x / 2).'px;
		}
	');
} else {
	$document->addStyleDeclaration('
		.j51_progress'.$j51_moduleid.' {
			margin: -'.($j51_margin_y / 2).'px -'.($j51_margin_x / 2).'px;
		}
	');
}
if (!empty($j51_title_color)) {
	$document->addStyleDeclaration('
		.j51_progress'.$j51_moduleid.' .j51_progress_title {
			color: '.$j51_title_color.';
		}
	');
}
if (!empty($j51_value_color)) {
	$document->addStyleDeclaration('
		.j51_progress'.$j51_moduleid.' .j51_progress_value {
			color: '.$j51_value_color.';
		}
	');
}

?>

<div class="j51_progress j51_progress<?php echo $j51_moduleid; ?>" >
<?php foreach ($j51_items as $item) : ?>
	<div class="j51_progress_item <?php echo $j51_layout; ?>">
		<div class="j51_progress_value">
			<span><?php echo $item->j51_progress; ?>%</span>
		</div>
		<div class="j51_progress_bar_wrapper">
			<?php if($item->j51_progress_title  != "") : ?>
			<<?php echo $j51_title_tag; ?> class="j51_progress_title">
				<?php echo $item->j51_progress_title; ?>
			</<?php echo $j51_title_tag; ?>>
			<?php endif; ?>
			<div class="j51_progress_bar" style="height: <?php echo $item->j51_progress_height; ?>px;">
				<div class="j51_progress_highlight <?php if ($j51_enable_animation) { ?>animate<?php } ?> background-primary" style="<?php if (!empty($item->j51_progress_color)) { ?> background-color: <?php echo $item->j51_progress_color; ?>;<?php } ?> right: <?php echo 100 - $item->j51_progress; ?>%;" transition-delay="<?php echo $delay; ?>"></div>
			</div>
		</div>
	</div>
	<?php $delay = $delay + $j51_interval_length; ?>
<?php endforeach ?>
</div>
