<?php
/**
* J51_Testimonials
* Version		: 1.0
* Created by	: Joomla51
* Email			: info@joomla51.com
* URL			: www.joomla51.com
* License GPLv2.0 - http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// Load CSS/JS
$doc->addStyleSheet (JURI::base() . 'modules/mod_j51testimonials/css/style.css' );
$doc->addScript('https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js');
$doc->addStyleSheet('https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css');
$doc->addScriptDeclaration('
	jQuery(document).ready(function() {
	    jQuery("#j51testimonials'.$j51_moduleid.'").owlCarousel({
	     	autoplaySpeed : '.$j51_transition_duration.',
	     	navText: ["'.$j51_text_prev.'","'.$j51_text_next.'"],
	     	navClass: ["btn","btn"],
	     	loop: true,
		    margin: '.$j51_horiz_padding.',
		    items: 1,
	    	autoplay: '.$j51_autoplay.',
	    	autoplayTimeout: '.$j51_transition_interval.',
	    	autoplaySpeed : '.$j51_transition_duration.',
	    	smartSpeed: '.$j51_transition_duration.',
	    	dots: true,
	    	dotsEach: true,
		    responsive:{
		        0:{
		            items: '.$j51_image_width_mobp.',
		        },
		        440:{
		            items: '.$j51_image_width_mobl.',
		        },
		        767:{
		            items: '.$j51_image_width_tabp.',
		        },
		        959:{
		            items: '.$j51_image_width_tabl.',
		        },
		        1024:{
		            items: '.$j51_blocks_per_slide.',
		        }
		    },
		    dotsClass: "j51-nav-dots",
        	dotClass: "j51-nav-dot",
	    });
	});
'); 
?>

<div id="j51testimonials<?php echo $j51_moduleid; ?>" class="j51-testimonials<?php echo $j51_moduleid; ?> j51-testimonials owl-carousel">
	<?php
	if(!empty($j51_items)) {
    	foreach ($j51_items as $item) {
	?>
	<div class="item" style="margin-top: <?php echo $j51_vert_padding ?>px; margin-bottom: <?php echo $j51_vert_padding ?>px;">
		<div class="j51-text-box">
			<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="j51-quote-icon"><path d="M512 80v128c0 137.018-63.772 236.324-193.827 271.172-15.225 4.08-30.173-7.437-30.173-23.199v-33.895c0-10.057 6.228-19.133 15.687-22.55C369.684 375.688 408 330.054 408 256h-72c-26.51 0-48-21.49-48-48V80c0-26.51 21.49-48 48-48h128c26.51 0 48 21.49 48 48zM176 32H48C21.49 32 0 53.49 0 80v128c0 26.51 21.49 48 48 48h72c0 74.054-38.316 119.688-104.313 143.528C6.228 402.945 0 412.021 0 422.078v33.895c0 15.762 14.948 27.279 30.173 23.199C160.228 444.324 224 345.018 224 208V80c0-26.51-21.49-48-48-48z"/></svg>
			<p><?php echo $item->j51_caption; ?></p>
		</div>
		<div class="j51-profile">
			<?php if (!empty($item->j51_image)) { ?>
			<div class="j51-profile-image">
				<img src="<?php echo $item->j51_image; ?>" alt="<?php echo $item->j51_name; ?>">
			</div>
			<?php } ?>
			<div class="j51-profile-details">
				<?php if (!empty($item->j51_name)) { ?>
				<h4 class="j51-profile-name"><?php echo $item->j51_name; ?></h4>
				<?php } ?>
				<?php if (!empty($item->j51_title)) { ?>
				<h6 class="j51-profile-title"><?php echo $item->j51_title; ?></h6>
				<?php } ?>
			</div>
		</div>
	</div>
	<?php 
		}
  	} 
	?>
</div>

